This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 391041

Summary: new terminals ignore parent terminal's geometry
Product: [Fedora] Fedora Reporter: Joel Uckelman <uckelman>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: mszpak
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-12-11 12:27:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Joel Uckelman 2007-11-19 15:37:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.9) Gecko/20071105 Fedora/2.0.0.9-1.fc8 Firefox/2.0.0.9

Description of problem:
Shift-Ctrl-N opens a new gnome-terminal. Terminals spawned this way will always be 80x24, regardless of the size of the parent terminal. There is no way for the user to change this, short of editing the source and recompiling.

Version-Release number of selected component (if applicable):
gnome-terminal-2.18.2-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. Open gnome-terminal.
2. Type Shift-Ctrl-N.

Actual Results:
A gnome-terminal, 80x24, opened.

Expected Results:
If the parent terminal was, say, 80x50, maybe the child terminal should be, too. Or at least there should be a setting for that.

Additional info:
I open dozens of terminals a day using Shift-Ctrl-N, which means that I have to resize virtually all of them, and that gets old rather quickly.

On one hand, this is pretty minor. On the other, it wouldn't be *that* hard to fix this, since gnome-terminal already understands the --geometry flag. I think it wouldn't amount to much beyond adding a preference like "Open new terminals with same size as parent", and then checking that whenever a new terminal is spawned.
Comment 1 Joel Uckelman 2007-11-19 16:02:55 EST
It appears that exactly the thing I'm complaining about was reported in Gnome's
own bugzilla in 2004:

http://bugzilla.gnome.org/show_bug.cgi?id=155147